package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlShowJobStatusStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private boolean sync = false;
   private SQLExpr where;

   public boolean isSync() {
      return this.sync;
   }

   public void setSync(boolean sync) {
      this.sync = sync;
   }

   public SQLExpr getWhere() {
      return this.where;
   }

   public void setWhere(SQLExpr where) {
      this.where = where;
   }

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.where);
      }

      visitor.endVisit(this);
   }
}
